Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class AbstractRenderingContext

    java.lang.Object
      org.apache.fop.render.AbstractRenderingContext

All Implemented Interfaces:
  RenderingContext

Direct Known Subclasses:
  AFPRenderingContext, Java2DRenderingContext, PCLRenderingContext, PDFRenderingContext, PSRenderingContext, SVGRenderingContext

    public abstract class AbstractRenderingContext

extends java.lang.Object
implements RenderingContext

Abstract base class for RenderingContext implementations.

Constructor Summary
`AbstractRenderingContext(FOUserAgent userAgent)` Main constructor.

Method Summary
`java.lang.Object` | `getHint(java.lang.Object key)` Returns a hint identified by a key.
`java.util.Map` | `getHints()` Returns an unmodifiable representation of all hints.
`FOUserAgent` | `getUserAgent()` Returns the user agent.
`void` | `putHint(java.lang.Object key, java.lang.Object value)` Sets an additional hint, overriding an existing hint.
`void` | `putHints(java.util.Map additionalHints)` Adds additional hints to the existing hints, overriding existing hints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.fop.render.RenderingContext
`getMimeType`

Constructor Detail

### AbstractRenderingContext

    public AbstractRenderingContext(FOUserAgent userAgent)

  Main constructor.

  Parameters:
    `userAgent` - the user agent

Method Detail

### getUserAgent

    public FOUserAgent getUserAgent()

  Returns the user agent.

  Specified by:
    `getUserAgent` in interface `RenderingContext`
  Returns:
    The user agent

### putHints

    public void putHints(java.util.Map additionalHints)

  Adds additional hints to the existing hints, overriding existing hints.

  Specified by:
    `putHints` in interface `RenderingContext`
  Parameters:
    `additionalHints` - a map of additional hints

### putHint

    public void putHint(java.lang.Object key,
                        java.lang.Object value)

  Sets an additional hint, overriding an existing hint.

  Specified by:
    `putHint` in interface `RenderingContext`
  Parameters:
    `key` - the key
    `value` - the value

### getHints

    public java.util.Map getHints()

  Returns an unmodifiable representation of all hints.

  Specified by:
    `getHints` in interface `RenderingContext`
  Returns:
    the hints

### getHint

    public java.lang.Object getHint(java.lang.Object key)

  Returns a hint identified by a key.

  Specified by:
    `getHint` in interface `RenderingContext`
  Parameters:
    `key` - the key
  Returns:
    the hint or null if no hint with the given key could be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.